<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 
$est=mysqli_query($con,"SELECT * FROM modulo_permiso WHERE mod_id='31' and modp_nombre='Modificar Precio' and usuario='$usu_id' ") or die(mysqli_error($con));
$est=mysqli_fetch_array($est);
if($est['estado']=='Activo')
{
    $readonly='';
}
else
{
    $readonly='readonly'; 
}

$est1=mysqli_query($con,"SELECT * FROM modulo_permiso WHERE mod_id='31' and modp_nombre='Modificar Cantidad' and usuario='$usu_id' ") or die(mysqli_error($con));
$est2=mysqli_fetch_array($est1);
if($est2['estado']=='Activo')
{
    $readonly_can='';
}
else
{
    $readonly_can='readonly'; 
}


$pend_id=$_GET['id'];   
$can=mysqli_query($con,"SELECT * from pedido_detalle where pend_id='$pend_id'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$pend_id=$dato['pend_id'];
$art_id_bod=$dato['art_id_bod'];
$pend_art_id=$dato['pend_art_id'];
$art_nombre=$dato['pend_nombre'];
$pend_precio=$dato['pend_precio'];
$pend_cantidad=$dato['pend_cantidad'];
$pend_observaciones=$dato['pend_observaciones'];
$pend_archivado=$dato['pend_archivado'];
$pend_hora=$dato['pend_hora'];

if ($pend_archivado=='si') {
    $readonly1='readonly';
} else { 
    $readonly1='';
}

$can7=mysqli_query($con,"SELECT * FROM articulos WHERE art_id='$pend_art_id'") or die(mysqli_error($con));  
$dat=mysqli_fetch_array($can7);
$art_estado=$dat['art_estado'];

if ($art_estado=='Activo')
{

  
?>
    <form role="form" id="actualizar"  >      
        <input type="hidden" name="pend_id" id="pend_id" value="<?php echo $pend_id; ?>">
        <div class="alert alert-info alert-dismissable">
            <strong><?php echo $art_nombre; ?></strong>
        </div>
        <?php if ($pend_archivado=='si') { ?>
        <div class="col-md-12">
            <label for="cantidad_item" class="control-label">Hora de pedido</label>
            <input type="text" class="form-control input-sm" value="<?php echo $pend_hora; ?>" <?php echo $readonly1 ?>>
        </div>
        <?php } ?>
        
        <div class=" col-md-6" style="padding:0px;">      
            <label for="cantidad_item" class="control-label">Cantidad</label>
            <input type="number" min="1" class="form-control input-sm" value="<?php echo $pend_cantidad; ?>" name="cantidad"  <?php if ($readonly_can && $readonly1) echo 'readonly'; ?>> 
        </div>
       
        <div class="col-md-6 ">
            <label for="precio_item" class="control-label">Precio</label>
            <div class="input-group">
                <span class="input-group-addon">$</span>
                <input type="text" class="form-control input-sm" value="<?php echo $pend_precio; ?>" name="precio" required <?php echo $readonly; ?>> 
            </div>
        </div>
        <label for="cantidad_item" class="control-label">Observaciones</label>
        <textarea rows="3" class="form-control input-sm" name="observaciones"><?php echo $pend_observaciones; ?></textarea>

        <?php
            $sab=mysqli_query($con,"SELECT * FROM sabores_productos WHERE articulo_art_id='$pend_art_id' and empresa='$empresa' and sab_estado='Activo' ORDER BY sab_nombre ")or die(mysqli_error($con));
            $num_rows=mysqli_num_rows($sab);
            if($num_rows>0) {
        ?>
            </br>
            <div id="tablasabor"></div>
        <?php  } ?>

        <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            <button type="submit" class="btn btn-info">Actualizar datos</button>
        </div>
    </form>
<?php 
} 
else 
{
    echo '<div class="alert alert-danger alert-dismissable">
    <strong>Ups!</strong> Articulo agotado.
    </div>';   
}

?>
<script>
$("#actualizar").submit(function(e){
    e.preventDefault();
    $.post("./php_pedidos/editar_articulo.php",$("#actualizar").serialize(),function(data){
    });
    $('#editModal').modal('hide');
    $('body').removeClass('modal-open');
    $('.modal-backdrop').remove();
    loadTablaConfirmado();
    loadTabla();
    loadtotal();
});

function loadTablasabor(){
    var id=$("#pend_id").val();
    $.get("./php_pedidos/tabla_sabor_modificar.php?id="+id,function(data){
    $("#tablasabor").html(data);
    })
}
loadTablasabor();
</script>